Package org.gdal.gdal

## Class Attribute

- java.lang.Object
- - org.gdal.gdal.Attribute

-     public class Attribute
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete()` |
    `ExtendedDataType` | `GetDataType()` |
    `long` | `GetDimensionCount()` |
    `long` | `GetDimensionSize​(long index)` |
    `long[]` | `GetDimensionSizes()` |
    `java.lang.String` | `GetFullName()` |
    `java.lang.String` | `GetName()` |
    `long` | `GetTotalElementsCount()` |
    `double` | `ReadAsDouble()` |
    `int` | `ReadAsInt()` |
    `long` | `ReadAsInt64()` |
    `java.lang.String` | `ReadAsString()` |
    `java.util.Vector` | `ReadAsStringArray()` |
    `int` | `Rename​(java.lang.String newName)` |
    `int` | `WriteDouble​(double val)` |
    `int` | `WriteInt​(int val)` |
    `int` | `WriteInt64​(long val)` |
    `int` | `WriteString​(java.lang.String val)` |
    `int` | `WriteStringArray​(java.util.Vector vals)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

    - #### GetDimensionSizes

          public long[] GetDimensionSizes()

    - #### GetName

          public java.lang.String GetName()

    - #### GetFullName

          public java.lang.String GetFullName()

    - #### GetTotalElementsCount

          public long GetTotalElementsCount()

    - #### GetDimensionCount

          public long GetDimensionCount()

    - #### GetDataType

          public ExtendedDataType GetDataType()

    - #### ReadAsString

          public java.lang.String ReadAsString()

    - #### ReadAsInt

          public int ReadAsInt()

    - #### ReadAsInt64

          public long ReadAsInt64()

    - #### ReadAsDouble

          public double ReadAsDouble()

    - #### ReadAsStringArray

          public java.util.Vector ReadAsStringArray()

    - #### WriteString

          public int WriteString​(java.lang.String val)

    - #### WriteStringArray

          public int WriteStringArray​(java.util.Vector vals)

    - #### WriteInt

          public int WriteInt​(int val)

    - #### WriteInt64

          public int WriteInt64​(long val)

    - #### WriteDouble

          public int WriteDouble​(double val)

    - #### Rename

          public int Rename​(java.lang.String newName)

    - #### GetDimensionSize

          public long GetDimensionSize​(long index)